Index: TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy	(revision 3879)
+++ TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy	(revision 3880)
@@ -43,7 +43,7 @@
 	
 	String pclitics = null; // default behavior don't manage clitics
 	
-	Pattern reg_punct_other = Pattern.compile("\\p{P}");
+	Pattern reg_punct_other = Pattern.compile("\\p{P}"); //$NON-NLS-1$
 	
 	/** The DEBUG. */
 	public boolean DEBUG = false;
@@ -90,14 +90,14 @@
 		this.tc = tc
 		this.lang = tc.lang;
 		if (lang != null)
-			if (lang.startsWith("en")) {
+			if (lang.startsWith("en")) { //$NON-NLS-1$
 				fclitics = tc.FClitic_en;
-			} else if (lang.startsWith("fr")) {
+			} else if (lang.startsWith("fr")) { //$NON-NLS-1$
 				fclitics = tc.FClitic_fr;
 				pclitics = tc.PClitic_fr;
-			} else if (lang.startsWith("gl")) {
+			} else if (lang.startsWith("gl")) { //$NON-NLS-1$
 				fclitics = tc.FClitic_gl;
-			} else if (lang.startsWith("it")) {
+			} else if (lang.startsWith("it")) { //$NON-NLS-1$
 				pclitics = tc.PClitic_it;
 			}
 		
@@ -130,9 +130,9 @@
 		}
 	}
 	
-	public final static String WHITESPACE = " ";
+	public final static String WHITESPACE = " "; //$NON-NLS-1$
 	
-	public final static String EMPTY = "";
+	public final static String EMPTY = ""; //$NON-NLS-1$
 	
 	/**
 	 * Process word.
@@ -142,7 +142,7 @@
 		ArrayList<String> sresult = new ArrayList<String>()
 		if (regSplitWhiteSpaces != null) {
 			for (String s : regSplitWhiteSpaces.split(text)) {		// separate with unicode white spaces
-				if (DEBUG){println "process $s"}
+				if (DEBUG){println "process $s"} //$NON-NLS-1$
 				sresult.addAll(iterate(s));
 			}
 		}
@@ -162,7 +162,7 @@
 	protected ArrayList<String> iterate(String s) {
 		ArrayList<String> result = new ArrayList<String>();
 		while (s != null && s.length() > 0) {
-			if (DEBUG){println "  > $s"}
+			if (DEBUG){println "  > $s"} //$NON-NLS-1$
 			s = standardChecks(result, s);
 		}
 		return result;
@@ -180,7 +180,7 @@
 		
 		for (TTest test : tc.tests) {
 			if ((m = s =~ test.regex)) {
-				if (DEBUG) {println "test : "+test.regex}
+				if (DEBUG) {println "test : "+test.regex} //$NON-NLS-1$
 				if (test.before > 0) {
 					result.addAll(iterate(m[0][test.before]))
 				}
@@ -194,22 +194,22 @@
 		}
 		
 		if (fclitics != null && (m = s =~ regFClitics) ) {
-			if (DEBUG) println "CLITIC found: $s ->"+ m
+			if (DEBUG) println "CLITIC found: $s ->"+ m //$NON-NLS-1$
 			result.addAll(iterate(m.group(1)))
 			
 			result.add(m.group(2));
 			
-			return "";
+			return ""; //$NON-NLS-1$
 		} else if (pclitics != null && (m = s =~ regPClitics) ) {
-			if (DEBUG) println "PCLITIC found: $s ->"+ m
+			if (DEBUG) println "PCLITIC found: $s ->"+ m //$NON-NLS-1$
 			
 			result.add(m.group(1));
 			
 			result.addAll(iterate(m.group(2)))
 			
-			return "";
+			return ""; //$NON-NLS-1$
 		} else if (regElision != null && (m = s =~ regElision) ) {
-			if (DEBUG) println "Elision found: $s ->"+ m.group(1)+" + "+m.group(2)+" + "+m.group(3)
+			if (DEBUG) println "Elision found: $s ->"+ m.group(1)+" + "+m.group(2)+" + "+m.group(3) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			//iterate(m.group(1))
 			
 			//			int sep = s.indexOf("'");
@@ -222,16 +222,16 @@
 			
 			result.addAll(iterate(m.group(2)))
 			
-			return "";
+			return ""; //$NON-NLS-1$
 		} else if (reg3pts != null && (m = s =~ reg3pts) )	{
-			if(DEBUG){println "REG '...' found: $s -> "+m.group(1)+" + "+m.group(2)+" + "+m.group(3)}
+			if(DEBUG){println "REG '...' found: $s -> "+m.group(1)+" + "+m.group(2)+" + "+m.group(3)} //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			result.addAll(iterate(m.group(1)))
 			
-			result.add("...");
+			result.add("..."); //$NON-NLS-1$
 			
 			return m.group(3);
 		} else if (regPunct != null && (m = s =~ regPunct) ) {
-			if(DEBUG){println "PUNCT '$regPunct' found: $s ->"+m.group(1)+" + "+m.group(2)+" + "+m.group(3)}
+			if(DEBUG){println "PUNCT '$regPunct' found: $s ->"+m.group(1)+" + "+m.group(2)+" + "+m.group(3)} //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			result.addAll(iterate(m.group(1)))
 			
 			result.add(m.group(2));
@@ -241,7 +241,7 @@
 			//		if(DEBUG){println "Other found: "+s}
 			result.add(s);
 			
-			return "";
+			return ""; //$NON-NLS-1$
 		}
 	}
 	
@@ -252,22 +252,22 @@
 	 */
 	public static void main(String[] args) {
 		def tests = [
-			["fr", "c'est un test."],
-			["fr", "C'est un autre test."],
+			["fr", "c'est un test."], //$NON-NLS-1$ //$NON-NLS-2$
+			["fr", "C'est un autre test."], //$NON-NLS-1$ //$NON-NLS-2$
 			[
-				"fr",
-				"C'est une version 1.2.3 un 01:12:12 test vers http://un.site.web.fr, fin."
+				"fr", //$NON-NLS-1$
+				"C'est une version 1.2.3 un 01:12:12 test vers http://un.site.web.fr, fin." //$NON-NLS-1$
 			],
-			["en", "This is a test."],
-			["en", "It's a test."]
+			["en", "This is a test."], //$NON-NLS-1$ //$NON-NLS-2$
+			["en", "It's a test."] //$NON-NLS-1$ //$NON-NLS-2$
 		]
 		
 		for (def d : tests) {
 			String lang = d[0]
 			String text = d[1]
 			SimpleStringTokenizer tokenizer = new SimpleStringTokenizer(lang)
-			println "Process: $text"
-			println "Result : "+tokenizer.processText(text).collect{"<"+it+">"}
+			println "Process: $text" //$NON-NLS-1$
+			println "Result : "+tokenizer.processText(text).collect{"<"+it+">"} //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 	}
 }
Index: TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/TTest.java
===================================================================
--- TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/TTest.java	(revision 3879)
+++ TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/TTest.java	(revision 3880)
@@ -4,7 +4,7 @@
 	
 	String regex;
 	
-	String type = "w";
+	String type = "w"; //$NON-NLS-1$
 	
 	int before = 1, hit = 2, after = 3;
 	
@@ -42,7 +42,7 @@
 	 */
 	@Override
 	public String toString() {
-		return "[regex=" + regex + ", type=" + type + ", before=" + before + ", hit=" + hit + ", after=" + after + "]";
+		return "[regex=" + regex + ", type=" + type + ", before=" + before + ", hit=" + hit + ", after=" + after + "]"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 	}
 }
 
Index: TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/TokenizerClasses.java
===================================================================
--- TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/TokenizerClasses.java	(revision 3879)
+++ TXM/trunk/bundles/org.txm.tokenizer.core/src/org/txm/tokenizer/TokenizerClasses.java	(revision 3880)
@@ -228,40 +228,40 @@
 
 	public void reset() {
 		
-		if (debug) System.out.println("Reset TC");
-		tag_all = "<[A-Za-z][^>]+>";
+		if (debug) System.out.println("Reset TC"); //$NON-NLS-1$
+		tag_all = "<[A-Za-z][^>]+>"; //$NON-NLS-1$
 
-		div_tags = "TEI|text|front|body|div|div1|div2|div3|div4|div5|div6|back|head|trailer|p|ab|sp|speaker|list|notice|bibl|opener|dateline";
-		q_tags = "q|quote|said|item|stage|cit|label|heraldry";
-		extraword1_tags = "expan|pb|lb|milestone|gap|note|s|locus|title|ref|hi|witDetail";
-		corr_tags_no_seg = "expan|unclear|choice|corr|sic|reg|orig|foreign|hi|title|name|supplied|subst|add|del|damage|date|idno|surplus";
-		word_tags = "w";
-		word_element_to_create = "w";
-		intraword_tags = "c|ex|caesura";
-		punct_quotes = "'‘’’";
-		punct_strong1 = ".!?";
-		punct_strong2 = "\\.\\.|\\.\\.\\.|…|\\|";
-		punct_paren_open1 = "«";
-		punct_paren_open2 = "``|\\(|\\[|\\{";
-		punct_paren_close1 = "»";
-		punct_paren_close2 = "''|‘‘|’’|\\)|\\]|\\}";
-		punct_weak = "\\-,;∼ˆ·*:\"“”\\+±=/\\≤≥<>\\—ν√μ•@≈→αγ∞≡σ&%|#¼½Θĩ†φθΓ§ẽə∈";
-		entity = "&[^;]+;";
-		seg_tags = "seg";
+		div_tags = "TEI|text|front|body|div|div1|div2|div3|div4|div5|div6|back|head|trailer|p|ab|sp|speaker|list|notice|bibl|opener|dateline"; //$NON-NLS-1$
+		q_tags = "q|quote|said|item|stage|cit|label|heraldry"; //$NON-NLS-1$
+		extraword1_tags = "expan|pb|lb|milestone|gap|note|s|locus|title|ref|hi|witDetail"; //$NON-NLS-1$
+		corr_tags_no_seg = "expan|unclear|choice|corr|sic|reg|orig|foreign|hi|title|name|supplied|subst|add|del|damage|date|idno|surplus"; //$NON-NLS-1$
+		word_tags = "w"; //$NON-NLS-1$
+		word_element_to_create = "w"; //$NON-NLS-1$
+		intraword_tags = "c|ex|caesura"; //$NON-NLS-1$
+		punct_quotes = "'‘’’"; //$NON-NLS-1$
+		punct_strong1 = ".!?"; //$NON-NLS-1$
+		punct_strong2 = "\\.\\.|\\.\\.\\.|…|\\|"; //$NON-NLS-1$
+		punct_paren_open1 = "«"; //$NON-NLS-1$
+		punct_paren_open2 = "``|\\(|\\[|\\{"; //$NON-NLS-1$
+		punct_paren_close1 = "»"; //$NON-NLS-1$
+		punct_paren_close2 = "''|‘‘|’’|\\)|\\]|\\}"; //$NON-NLS-1$
+		punct_weak = "\\-,;∼ˆ·*:\"“”\\+±=/\\≤≥<>\\—ν√μ•@≈→αγ∞≡σ&%|#¼½Θĩ†φθΓ§ẽə∈"; //$NON-NLS-1$
+		entity = "&[^;]+;"; //$NON-NLS-1$
+		seg_tags = "seg"; //$NON-NLS-1$
 
-		enclitics = "je|m[eo]i|tu|t[eo]i|il|lui|luy|ilz|ils|no?u?s|vo?u?s|on|ce|ci|là|elles?"; // FRO
-		encliticsFR = "je|tu|il|elle|on|nous|vous|ils|elles|toi|moi|en|y|t|leur|lui|le|la|les"; // FR
+		enclitics = "je|m[eo]i|tu|t[eo]i|il|lui|luy|ilz|ils|no?u?s|vo?u?s|on|ce|ci|là|elles?"; // FRO //$NON-NLS-1$
+		encliticsFR = "je|tu|il|elle|on|nous|vous|ils|elles|toi|moi|en|y|t|leur|lui|le|la|les"; // FR //$NON-NLS-1$
 
 		/** The TT enclitics. */
-		FClitic_en = "'(s|re|ve|d|m|em|ll)|n['‘’]t";
-		PClitic_fr = "[dcjlmnstyDCJLNMSTY][\'‘’]|[Qq]u[\'‘’]|[Jj]usqu[\'‘’]|[Ll]orsqu[\'‘’]|[Pp]uisqu[\'‘’]|[Qq]uoiqu[\'‘’]";
-		FClitic_fr = "-t-elles?|-t-ils?|-t-on|-ce|-elles?|-ils?|-je|-la|-les?|-leur|-lui|-mêmes?|-m[\'‘’]|-moi|-nous|-on|-toi|-tu|-t[\'‘’]|-vous|-en|-y|-ci|-là";
-		PClitic_it = "[dD][ae]ll[\'‘’]|[nN]ell[\'‘’]|[Aa]ll[\'‘’]|[lLDd][\'‘’]|[Ss]ull[\'‘’]|[Qq]uest[\'‘’]|[Uu]n[\'‘’]|[Ss]enz[\'‘’]|[Tt]utt[\'‘’]";
-		FClitic_gl = "-la|-las|-lo|-los|-nos";
+		FClitic_en = "'(s|re|ve|d|m|em|ll)|n['‘’]t"; //$NON-NLS-1$
+		PClitic_fr = "[dcjlmnstyDCJLNMSTY][\'‘’]|[Qq]u[\'‘’]|[Jj]usqu[\'‘’]|[Ll]orsqu[\'‘’]|[Pp]uisqu[\'‘’]|[Qq]uoiqu[\'‘’]"; //$NON-NLS-1$
+		FClitic_fr = "-t-elles?|-t-ils?|-t-on|-ce|-elles?|-ils?|-je|-la|-les?|-leur|-lui|-mêmes?|-m[\'‘’]|-moi|-nous|-on|-toi|-tu|-t[\'‘’]|-vous|-en|-y|-ci|-là"; //$NON-NLS-1$
+		PClitic_it = "[dD][ae]ll[\'‘’]|[nN]ell[\'‘’]|[Aa]ll[\'‘’]|[lLDd][\'‘’]|[Ss]ull[\'‘’]|[Qq]uest[\'‘’]|[Uu]n[\'‘’]|[Ss]enz[\'‘’]|[Tt]utt[\'‘’]"; //$NON-NLS-1$
+		FClitic_gl = "-la|-las|-lo|-los|-nos"; //$NON-NLS-1$
 
-		whitespaces = "[\\p{Z}\\p{C}]+";
-		regElision = "['‘’]";
-		regPunct = "[\\p{Ps}\\p{Pe}\\p{Pi}\\p{Pf}\\p{Po}\\p{S}]";
+		whitespaces = "[\\p{Z}\\p{C}]+"; //$NON-NLS-1$
+		regElision = "['‘’]"; //$NON-NLS-1$
+		regPunct = "[\\p{Ps}\\p{Pe}\\p{Pi}\\p{Pf}\\p{Po}\\p{S}]"; //$NON-NLS-1$
 
 		recombine();
 	}
@@ -269,28 +269,28 @@
 	public void recombine() {
 
 		if (corr_tags == null) {
-			corr_tags = "" + corr_tags_no_seg + "|" + seg_tags + "";
+			corr_tags = "" + corr_tags_no_seg + "|" + seg_tags + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		if (extraword_tags == null) {
-			extraword_tags = "" + div_tags + "|" + q_tags + "|" + extraword1_tags + "";
+			extraword_tags = "" + div_tags + "|" + q_tags + "|" + extraword1_tags + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		}
 		if (punct_strong == null) {
-			punct_strong = "[" + punct_strong1 + "]|" + punct_strong2 + "";
+			punct_strong = "[" + punct_strong1 + "]|" + punct_strong2 + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		if (punct_paren_open == null) {
-			punct_paren_open = "" + punct_paren_open1 + "|" + punct_paren_open2 + "";
+			punct_paren_open = "" + punct_paren_open1 + "|" + punct_paren_open2 + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		if (punct_paren_close == null) {
-			punct_paren_close = "" + punct_paren_close1 + "|" + punct_paren_close2 + "";
+			punct_paren_close = "" + punct_paren_close1 + "|" + punct_paren_close2 + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		if (punct_paren == null) {
-			punct_paren = "" + punct_paren_open + "|" + punct_paren_close + "";
+			punct_paren = "" + punct_paren_open + "|" + punct_paren_close + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		if (punct_all == null) {
-			punct_all = "" + punct_strong + "|" + punct_paren + "|[" + punct_weak + "]";
+			punct_all = "" + punct_strong + "|" + punct_paren + "|[" + punct_weak + "]"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		}
 		if (word_chars == null) {
-			word_chars = "[^ " + punct_quotes + "" + punct_strong1 + "" + punct_paren_open1 + "" + punct_paren_close1 + "" + punct_weak + "]+|" + entity + "";
+			word_chars = "[^ " + punct_quotes + "" + punct_strong1 + "" + punct_paren_open1 + "" + punct_paren_close1 + "" + punct_weak + "]+|" + entity + ""; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
 		}
 	}
 
@@ -304,139 +304,139 @@
 	@Deprecated
 	public void toDom(Document doc, Node parent) {
 		
-		Element tokenizer = doc.createElement("tokenizer");
-		tokenizer.setAttribute("onlyThoseTests", "false");
+		Element tokenizer = doc.createElement("tokenizer"); //$NON-NLS-1$
+		tokenizer.setAttribute("onlyThoseTests", "false"); //$NON-NLS-1$ //$NON-NLS-2$
 		parent.appendChild(tokenizer);
 
 		// String tag_all = "<[^>]+>";
-		Element p = doc.createElement("param");
-		p.setAttribute("key", "tag_all");
+		Element p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "tag_all"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(tag_all);
 		tokenizer.appendChild(p);
 		// String enclitics = "je|m[eo]i|tu|t[eo]i|il|lui|luy|ilz|ils|no?u?s|vo?u?s|on|ce|ci|là|elles?"; // FRO
-		p = doc.createElement("param");
-		p.setAttribute("key", "enclitics");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "enclitics"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(enclitics);
 		tokenizer.appendChild(p);
 		// String encliticsFR = "je|tu|il|elle|on|nous|vous|ils|elles|toi|moi|en|y|t|leur|lui|le|la|les"; // FR
-		p = doc.createElement("param");
-		p.setAttribute("key", "encliticsFR");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "encliticsFR"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(encliticsFR);
 		tokenizer.appendChild(p);
 		// String div_tags = "TEI|text|front|body|div|div1|div2|div3|div4|div5|div6|back|head|trailer|p|ab|sp|speaker|list|notice|bibl";
-		p = doc.createElement("param");
-		p.setAttribute("key", "div_tags");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "div_tags"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(div_tags);
 		tokenizer.appendChild(p);
 		// String q_tags = "q|quote|item|stage";
-		p = doc.createElement("param");
-		p.setAttribute("key", "q_tags");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "q_tags"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(q_tags);
 		tokenizer.appendChild(p);
 		// String extraword_tags = "$div_tags|$q_tags|expan|pb|lb|milestone|gap|note|s|locus|title|ref|hi|witDetail";
-		p = doc.createElement("param");
-		p.setAttribute("key", "extraword_tags");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "extraword_tags"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(extraword_tags);
 		tokenizer.appendChild(p);
 		// String corr_tags_no_seg = "expan|unclear|choice|corr|sic|reg|orig|foreign|hi|title|name|supplied|subst|add|del|damage|date|idno";
-		p = doc.createElement("param");
-		p.setAttribute("key", "enclitics");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "enclitics"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(enclitics);
 		tokenizer.appendChild(p);
 		// String corr_tags = "$corr_tags_no_seg|seg";
-		p = doc.createElement("param");
-		p.setAttribute("key", "corr_tags");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "corr_tags"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(corr_tags);
 		tokenizer.appendChild(p);
 		// String word_tags = "w|abbr|num";
-		p = doc.createElement("param");
-		p.setAttribute("key", "word_tags");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "word_tags"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(word_tags);
 		tokenizer.appendChild(p);
 		// String intraword_tags = "c|ex";
-		p = doc.createElement("param");
-		p.setAttribute("key", "intraword_tags");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "intraword_tags"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(intraword_tags);
 		tokenizer.appendChild(p);
 
 		// String punct_strong1 = ".!?";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_strong1");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_strong1"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_strong1);
 		tokenizer.appendChild(p);
 		// String punct_strong2 = "\\.\\.|\\.\\.\\.|…|\\|";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_strong2");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_strong2"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_strong2);
 		tokenizer.appendChild(p);
 		// String punct_strong = "[$punct_strong1]|$punct_strong2";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_strong");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_strong"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_strong);
 		tokenizer.appendChild(p);
 		// String punct_paren_open1 = "«";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren_open1");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren_open1"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren_open1);
 		tokenizer.appendChild(p);
 		// String punct_paren_open2 = "<<|``|\\(|\\[|\\{";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren_open2");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren_open2"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren_open2);
 		tokenizer.appendChild(p);
 		// String punct_paren_open = "$punct_paren_open1|$punct_paren_open2";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren_open");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren_open"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren_open);
 		tokenizer.appendChild(p);
 		// String punct_paren_close1 = "»";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren_close1");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren_close1"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren_close1);
 		tokenizer.appendChild(p);
 		// String punct_paren_close2 = ">>|''|‘‘|’’|\\)|\\]|\\}";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren_close2");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren_close2"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren_close2);
 		tokenizer.appendChild(p);
 		// String punct_paren_close = "$punct_paren_close1|$punct_paren_close2";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren_close");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren_close"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren_close);
 		tokenizer.appendChild(p);
 		// String punct_paren = "$punct_paren_open|$punct_paren_close";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_paren");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_paren"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_paren);
 		tokenizer.appendChild(p);
 		// String punct_weak = ",;∼ˆ·*:\"`'“”\\+±=/\\-≤≥<>\\—_ν√μ•@≈→αγ∞≡σ&¼½Θĩ†φθΓ§ẽə∈";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_weak");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_weak"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_weak);
 		tokenizer.appendChild(p);
 		// String punct_all = "$punct_strong|$punct_paren|[$punct_weak]";
-		p = doc.createElement("param");
-		p.setAttribute("key", "punct_all");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "punct_all"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(punct_all);
 		tokenizer.appendChild(p);
 		// String word_chars = "[^ $punct_strong1$punct_paren_open1$punct_paren_close1$punct_weak]|&[^;]+;";
-		p = doc.createElement("param");
-		p.setAttribute("key", "word_chars");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "word_chars"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(word_chars);
 		tokenizer.appendChild(p);
 		// whitespaces = "[\\p{Z}\\p{C}]+";
-		p = doc.createElement("param");
-		p.setAttribute("key", "whitespaces");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "whitespaces"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(whitespaces);
 		tokenizer.appendChild(p);
 		// regElision = "['‘’]"
-		p = doc.createElement("param");
-		p.setAttribute("key", "regElision");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "regElision"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(regElision);
 		tokenizer.appendChild(p);
 		// regPunct = "[\\p{Ps}\\p{Pe}\\p{Pi}\\p{Pf}\\p{Po}\\p{S}]"
-		p = doc.createElement("param");
-		p.setAttribute("key", "regPunct");
+		p = doc.createElement("param"); //$NON-NLS-1$
+		p.setAttribute("key", "regPunct"); //$NON-NLS-1$ //$NON-NLS-2$
 		p.setTextContent(regPunct);
 		tokenizer.appendChild(p);
 	}
@@ -445,42 +445,42 @@
 	 * Dump.
 	 */
 	public void dump() {
-		System.out.println("BRUT");
-		System.out.println("tag_all = " + tag_all + "");
-		System.out.println("enclitics = " + enclitics + "");
-		System.out.println("encliticsFR = " + encliticsFR + "");
-		System.out.println("div_tags = " + div_tags + "");
-		System.out.println("q_tags = " + q_tags + "");
-		System.out.println("extraword1_tags = " + extraword1_tags + "");
-		System.out.println("corr_tags_no_seg = " + corr_tags_no_seg + "");
-		System.out.println("word_tags = " + word_tags + "");
-		System.out.println("intraword_tags = " + intraword_tags + "");
-		System.out.println("punct_quotes = " + punct_quotes + "");
-		System.out.println("punct_strong1 = " + punct_strong1 + "");
-		System.out.println("punct_strong2 = " + punct_strong2 + "");
-		System.out.println("punct_paren_open1 = " + punct_paren_open1 + "");
-		System.out.println("punct_paren_open2 = " + punct_paren_open2 + "");
-		System.out.println("punct_paren_close1 = " + punct_paren_close1 + "");
-		System.out.println("punct_paren_close2 = " + punct_paren_close2 + "");
-		System.out.println("punct_weak = " + punct_weak + "");
-		System.out.println("entity = " + entity + "");
-		System.out.println("seg_tags = " + seg_tags + "");
-		System.out.println("COMBINED");
-		System.out.println("corr_tags = " + corr_tags + "");
-		System.out.println("extraword_tags = " + extraword_tags + "");
-		System.out.println("punct_strong = " + punct_strong + "");
-		System.out.println("punct_paren_open = " + punct_paren_open + "");
-		System.out.println("punct_paren_close = " + punct_paren_close + "");
-		System.out.println("punct_paren = " + punct_paren + "");
-		System.out.println("punct_all = " + punct_all + "");
-		System.out.println("word_chars = " + word_chars + "");
-		System.out.println("whitespaces = " + whitespaces + "");
-		System.out.println("regElision = " + regElision + "");
-		System.out.println("regPunct = " + regPunct + "");
-		System.out.println("TESTS:");
+		System.out.println("BRUT"); //$NON-NLS-1$
+		System.out.println("tag_all = " + tag_all + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("enclitics = " + enclitics + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("encliticsFR = " + encliticsFR + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("div_tags = " + div_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("q_tags = " + q_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("extraword1_tags = " + extraword1_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("corr_tags_no_seg = " + corr_tags_no_seg + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("word_tags = " + word_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("intraword_tags = " + intraword_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_quotes = " + punct_quotes + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_strong1 = " + punct_strong1 + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_strong2 = " + punct_strong2 + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren_open1 = " + punct_paren_open1 + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren_open2 = " + punct_paren_open2 + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren_close1 = " + punct_paren_close1 + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren_close2 = " + punct_paren_close2 + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_weak = " + punct_weak + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("entity = " + entity + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("seg_tags = " + seg_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("COMBINED"); //$NON-NLS-1$
+		System.out.println("corr_tags = " + corr_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("extraword_tags = " + extraword_tags + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_strong = " + punct_strong + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren_open = " + punct_paren_open + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren_close = " + punct_paren_close + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_paren = " + punct_paren + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("punct_all = " + punct_all + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("word_chars = " + word_chars + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("whitespaces = " + whitespaces + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("regElision = " + regElision + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("regPunct = " + regPunct + ""); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("TESTS:"); //$NON-NLS-1$
 
 		for (TTest test : tests) {
-			System.out.println(" " + test + "");
+			System.out.println(" " + test + ""); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 	}
 
@@ -489,7 +489,7 @@
 			Pattern.compile(tag_all);
 		}
 		catch (Exception e) {
-			System.out.println("tag_all=" + tag_all + ": " + e);
+			System.out.println("tag_all=" + tag_all + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -497,7 +497,7 @@
 			Pattern.compile(enclitics);
 		}
 		catch (Exception e) {
-			System.out.println("enclitics=" + enclitics + ": " + e);
+			System.out.println("enclitics=" + enclitics + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -505,7 +505,7 @@
 			Pattern.compile(encliticsFR);
 		}
 		catch (Exception e) {
-			System.out.println("encliticsFR=" + encliticsFR + ": " + e);
+			System.out.println("encliticsFR=" + encliticsFR + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -513,7 +513,7 @@
 			Pattern.compile(div_tags);
 		}
 		catch (Exception e) {
-			System.out.println("div_tags=" + div_tags + ": " + e);
+			System.out.println("div_tags=" + div_tags + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -521,7 +521,7 @@
 			Pattern.compile(q_tags);
 		}
 		catch (Exception e) {
-			System.out.println("q_tags=" + q_tags + ": " + e);
+			System.out.println("q_tags=" + q_tags + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -529,7 +529,7 @@
 			Pattern.compile(extraword1_tags);
 		}
 		catch (Exception e) {
-			System.out.println("extraword1_tags=" + extraword1_tags + ": " + e);
+			System.out.println("extraword1_tags=" + extraword1_tags + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -537,7 +537,7 @@
 			Pattern.compile(corr_tags_no_seg);
 		}
 		catch (Exception e) {
-			System.out.println("corr_tags_no_seg=" + corr_tags_no_seg + ": " + e);
+			System.out.println("corr_tags_no_seg=" + corr_tags_no_seg + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -545,7 +545,7 @@
 			Pattern.compile(word_tags);
 		}
 		catch (Exception e) {
-			System.out.println("word_tags=" + word_tags + ": " + e);
+			System.out.println("word_tags=" + word_tags + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -553,7 +553,7 @@
 			Pattern.compile(intraword_tags);
 		}
 		catch (Exception e) {
-			System.out.println("intraword_tags=" + intraword_tags + ": " + e);
+			System.out.println("intraword_tags=" + intraword_tags + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -561,7 +561,7 @@
 			Pattern.compile(punct_quotes);
 		}
 		catch (Exception e) {
-			System.out.println("punct_quotes=" + punct_quotes + ": " + e);
+			System.out.println("punct_quotes=" + punct_quotes + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -569,7 +569,7 @@
 			Pattern.compile(punct_strong1);
 		}
 		catch (Exception e) {
-			System.out.println("punct_strong1=" + punct_strong1 + ": " + e);
+			System.out.println("punct_strong1=" + punct_strong1 + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -577,7 +577,7 @@
 			Pattern.compile(punct_strong2);
 		}
 		catch (Exception e) {
-			System.out.println("punct_strong2=" + punct_strong2 + ": " + e);
+			System.out.println("punct_strong2=" + punct_strong2 + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -585,7 +585,7 @@
 			Pattern.compile(punct_paren_open1);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren_open1=" + punct_paren_open1 + ": " + e);
+			System.out.println("punct_paren_open1=" + punct_paren_open1 + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -593,7 +593,7 @@
 			Pattern.compile(punct_paren_open2);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren_open2=" + punct_paren_open2 + ": " + e);
+			System.out.println("punct_paren_open2=" + punct_paren_open2 + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -601,7 +601,7 @@
 			Pattern.compile(punct_paren_close1);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren_close1=" + punct_paren_close1 + ": " + e);
+			System.out.println("punct_paren_close1=" + punct_paren_close1 + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -609,7 +609,7 @@
 			Pattern.compile(punct_paren_close2);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren_close2=" + punct_paren_close2 + ": " + e);
+			System.out.println("punct_paren_close2=" + punct_paren_close2 + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -617,7 +617,7 @@
 			Pattern.compile(punct_weak);
 		}
 		catch (Exception e) {
-			System.out.println("punct_weak=" + punct_weak + ": " + e);
+			System.out.println("punct_weak=" + punct_weak + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -625,7 +625,7 @@
 			Pattern.compile(entity);
 		}
 		catch (Exception e) {
-			System.out.println("entity=" + entity + ": " + e);
+			System.out.println("entity=" + entity + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -633,7 +633,7 @@
 			Pattern.compile(seg_tags);
 		}
 		catch (Exception e) {
-			System.out.println("seg_tags=" + seg_tags + ": " + e);
+			System.out.println("seg_tags=" + seg_tags + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -641,7 +641,7 @@
 			Pattern.compile(corr_tags);
 		}
 		catch (Exception e) {
-			System.out.println("corr_tags: " + e);
+			System.out.println("corr_tags: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -649,7 +649,7 @@
 			Pattern.compile(extraword_tags);
 		}
 		catch (Exception e) {
-			System.out.println("extraword_tags: " + e);
+			System.out.println("extraword_tags: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -658,7 +658,7 @@
 				Pattern.compile(punct_strong);
 			}
 		catch (Exception e) {
-			System.out.println("punct_strong: " + e);
+			System.out.println("punct_strong: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -666,7 +666,7 @@
 			Pattern.compile(punct_paren_open);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren_open: " + e);
+			System.out.println("punct_paren_open: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -674,7 +674,7 @@
 			Pattern.compile(punct_paren_close);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren_close: " + e);
+			System.out.println("punct_paren_close: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -682,7 +682,7 @@
 			Pattern.compile(punct_paren);
 		}
 		catch (Exception e) {
-			System.out.println("punct_paren: " + e);
+			System.out.println("punct_paren: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -690,7 +690,7 @@
 			Pattern.compile(punct_all);
 		}
 		catch (Exception e) {
-			System.out.println("punct_all: " + e);
+			System.out.println("punct_all: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -698,7 +698,7 @@
 			Pattern.compile(word_chars);
 		}
 		catch (Exception e) {
-			System.out.println("word_chars: " + e);
+			System.out.println("word_chars: " + e); //$NON-NLS-1$
 			return false;
 		}
 
@@ -707,7 +707,7 @@
 				Pattern.compile(regPunct);
 			}
 		catch (Exception e) {
-			System.out.println("regPunct=" + regPunct + ": " + e);
+			System.out.println("regPunct=" + regPunct + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -716,7 +716,7 @@
 				Pattern.compile(regElision);
 			}
 		catch (Exception e) {
-			System.out.println("regElision=" + regElision + ": " + e);
+			System.out.println("regElision=" + regElision + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -725,7 +725,7 @@
 				Pattern.compile(whitespaces);
 			}
 		catch (Exception e) {
-			System.out.println("whitespaces=" + whitespaces + ": " + e);
+			System.out.println("whitespaces=" + whitespaces + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 			return false;
 		}
 
@@ -734,7 +734,7 @@
 				Pattern.compile(test.getRegex());
 			}
 			catch (Exception e) {
-				System.out.println("" + test.getRegex() + ": " + e);
+				System.out.println("" + test.getRegex() + ": " + e); //$NON-NLS-1$ //$NON-NLS-2$
 				return false;
 			}
 		}
@@ -751,76 +751,76 @@
 	public boolean loadFromNode(Element tokenizerElement) {
 		// load params
 		String tmp_strong_punct = null;
-		NodeList params = tokenizerElement.getElementsByTagName("param");
+		NodeList params = tokenizerElement.getElementsByTagName("param"); //$NON-NLS-1$
 		for (int i = 0; i < params.getLength(); i++) {
 			Element param = (Element) params.item(i);
-			String key = param.getAttribute("name");
-			String value = param.getAttribute("value");
+			String key = param.getAttribute("name"); //$NON-NLS-1$
+			String value = param.getAttribute("value"); //$NON-NLS-1$
 			if (value == null || value.length() == 0) value = param.getTextContent();
 			if (value.length() == 0) value = null;
 
-			if (debug) System.out.println(" Tokenizer parametrized with " + key + "=" + value + "");
+			if (debug) System.out.println(" Tokenizer parametrized with " + key + "=" + value + ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
-			if (key.equals("tag_all"))
+			if (key.equals("tag_all")) //$NON-NLS-1$
 				tag_all = value;
-			else if (key.equals("enclitics"))
+			else if (key.equals("enclitics")) //$NON-NLS-1$
 				enclitics = value;
-			else if (key.equals("encliticsFR"))
+			else if (key.equals("encliticsFR")) //$NON-NLS-1$
 				encliticsFR = value;
-			else if (key.equals("div_tags"))
+			else if (key.equals("div_tags")) //$NON-NLS-1$
 				div_tags = value;
-			else if (key.equals("q_tags"))
+			else if (key.equals("q_tags")) //$NON-NLS-1$
 				q_tags = value;
-			else if (key.equals("extraword1_tags"))
+			else if (key.equals("extraword1_tags")) //$NON-NLS-1$
 				extraword1_tags = value;
-			else if (key.equals("corr_tags_no_seg"))
+			else if (key.equals("corr_tags_no_seg")) //$NON-NLS-1$
 				corr_tags_no_seg = value;
-			else if (key.equals("word_tags"))
+			else if (key.equals("word_tags")) //$NON-NLS-1$
 				word_tags = value;
-			else if (key.equals("intraword_tags"))
+			else if (key.equals("intraword_tags")) //$NON-NLS-1$
 				intraword_tags = value;
-			else if (key.equals("punct_quotes"))
+			else if (key.equals("punct_quotes")) //$NON-NLS-1$
 				punct_quotes = value;
-			else if (key.equals("punct_strong1"))
+			else if (key.equals("punct_strong1")) //$NON-NLS-1$
 				punct_strong1 = value;
-			else if (key.equals("punct_strong2"))
+			else if (key.equals("punct_strong2")) //$NON-NLS-1$
 				punct_strong2 = value;
-			else if (key.equals("punct_paren_open1"))
+			else if (key.equals("punct_paren_open1")) //$NON-NLS-1$
 				punct_paren_open1 = value;
-			else if (key.equals("punct_paren_open2"))
+			else if (key.equals("punct_paren_open2")) //$NON-NLS-1$
 				punct_paren_open2 = value;
-			else if (key.equals("punct_paren_close1"))
+			else if (key.equals("punct_paren_close1")) //$NON-NLS-1$
 				punct_paren_close1 = value;
-			else if (key.equals("punct_paren_close2"))
+			else if (key.equals("punct_paren_close2")) //$NON-NLS-1$
 				punct_paren_close2 = value;
-			else if (key.equals("punct_weak"))
+			else if (key.equals("punct_weak")) //$NON-NLS-1$
 				punct_weak = value;
-			else if (key.equals("entity"))
+			else if (key.equals("entity")) //$NON-NLS-1$
 				entity = value;
-			else if (key.equals("seg_tags"))
+			else if (key.equals("seg_tags")) //$NON-NLS-1$
 				seg_tags = value;
-			else if (key.equals("regPunct"))
+			else if (key.equals("regPunct")) //$NON-NLS-1$
 				regPunct = value;
-			else if (key.equals("regElision"))
+			else if (key.equals("regElision")) //$NON-NLS-1$
 				regElision = value;
-			else if (key.equals("whitespaces"))
+			else if (key.equals("whitespaces")) //$NON-NLS-1$
 				whitespaces = value;
-			else if (key.equals("punct_strong")) // this is temporary
+			else if (key.equals("punct_strong")) // this is temporary //$NON-NLS-1$
 				tmp_strong_punct = value; // this is temporary
 			else
-				System.out.println("MISSING TOKENIZER KEY: " + key);
+				System.out.println("MISSING TOKENIZER KEY: " + key); //$NON-NLS-1$
 		}
 		// recombine
 		recombine();
 		if (tmp_strong_punct != null) punct_strong = tmp_strong_punct;  // this is temporary
 
-		String shouldResetTests = tokenizerElement.getAttribute("onlyThoseTests");
-		if ("true".equals(shouldResetTests)) {
-			System.out.println("Warning: tokenizer only using import parameters tests");
+		String shouldResetTests = tokenizerElement.getAttribute("onlyThoseTests"); //$NON-NLS-1$
+		if ("true".equals(shouldResetTests)) { //$NON-NLS-1$
+			System.out.println("Warning: tokenizer only using import parameters tests"); //$NON-NLS-1$
 			// tests = new ArrayList<>();
 		}
 
-		NodeList testsList = tokenizerElement.getElementsByTagName("test");
+		NodeList testsList = tokenizerElement.getElementsByTagName("test"); //$NON-NLS-1$
 		if (testsList.getLength() > 0) {
 			// System.out.println("Add "+testsList.getLength()+" tests to the tokenizer"
 			for (int i = 0; i < testsList.getLength(); i++) {
@@ -862,7 +862,7 @@
 
 	public boolean loadFromProject(ProjectScope projectScope) {
 		// load params
-		IEclipsePreferences params = projectScope.getNode("Tokenizer");
+		IEclipsePreferences params = projectScope.getNode("Tokenizer"); //$NON-NLS-1$
 		try {
 			if (debug) System.out.println(Arrays.toString(params.keys()));
 			if (debug) System.out.println(Arrays.toString(params.childrenNames()));
@@ -888,7 +888,7 @@
 					String value = params.get(name, defaultValue);
 					if (value != null) {
 						try {
-							if (debug) System.out.println(" Tokenizer parametrized with " + name + "=" + value);
+							if (debug) System.out.println(" Tokenizer parametrized with " + name + "=" + value); //$NON-NLS-1$ //$NON-NLS-2$
 							field.set(this, value);
 						}
 						catch (Exception e) {
@@ -901,12 +901,12 @@
 			// recombine
 			recombine();
 
-			if (params.getBoolean("onlyThoseTests", false)) {
-				System.out.println("Warning: tokenizer only using import parameters tests");
+			if (params.getBoolean("onlyThoseTests", false)) { //$NON-NLS-1$
+				System.out.println("Warning: tokenizer only using import parameters tests"); //$NON-NLS-1$
 				// tests = new ArrayList<>();
 			}
 
-			org.osgi.service.prefs.Preferences testsList = params.node("tests");
+			org.osgi.service.prefs.Preferences testsList = params.node("tests"); //$NON-NLS-1$
 			String[] tests;
 			tests = testsList.childrenNames();
 			// System.out.println("Add "+testsList.getLength()+" tests to the tokenizer"
@@ -914,10 +914,10 @@
 				org.osgi.service.prefs.Preferences testdef = testsList.node(testname);
 
 				// Element test = (Element) testsList.item(i);
-				TTest t = new TTest(testdef.get("content", null), testdef.get("type", null),
-						testdef.getInt("before", 0),
-						testdef.getInt("hit", 0),
-						testdef.getInt("after", 0));
+				TTest t = new TTest(testdef.get("content", null), testdef.get("type", null), //$NON-NLS-1$ //$NON-NLS-2$
+						testdef.getInt("before", 0), //$NON-NLS-1$
+						testdef.getInt("hit", 0), //$NON-NLS-1$
+						testdef.getInt("after", 0)); //$NON-NLS-1$
 			}
 			// System.out.println("Tests: "+tests);
 
